PR(1)

NAME
pr - print file

SYNOPSIS
pr [ option ] ... [ file ] ...

DESCRIPTION
Pr produces a printed listing of one or more files. The output is separated into pages headed by a date, the name of the file or a specified header, and the page number. If there are no file arguments, pr prints its standard input.

Options apply to all following files but may be reset between files:

-n  Produce n-column output. Note that if the input text is wider than a column, the input text will be truncated to fit the column.

+n  Begin printing with page n.

-h  Take the next argument as a page header.

-wn For purposes of multi-column output, take the width of the page to be n characters instead of the default 72.

-f  Use formfeeds instead of newlines to separate pages. A formfeed is assumed to use up two blank lines at the top of a page. (Thus this option does not affect the effective page length.)

-ln Take the length of the page to be n lines instead of the default 66. This lines-per-page value must include the 10 lines of header and trailer added per page. If the number of lines per page specified is less than or equal to 10, the lines-per-page will default to 66. (For example, n should be specified as 12 to produce output of 2 lines per page.)

-t  Do not print the 5-line header or the 5-line trailer normally supplied for each page.

-sc Separate columns by the single character c instead of by the appropriate amount of white space. A missing c is taken to be a tab.

-m  Print all files simultaneously, each in one column.

Inter-terminal messages via write(1) are forbidden during a pr.

FILES
/dev/tty? to suspend messages.

SEE ALSO
cat(1)

DIAGNOSTICS
There are no diagnostics when pr is printing on a terminal.

BUGS
Combining multiple options after a single minus sign (e.g., -th ) is not allowed; they must be separated (e.g., -t -h ).